Subject: [PATCH 0/12] forcedeth optimizations

From: Ayaz Abdulla <[email-masked]>
Date: Tue, 09 Jan 2007 13:29:45 -0500

This set of patches contains optimizations for the forcedeth driver that 
help reduce CPU utilization and increase throughput, especially for 
small packet sizes.

The main changes include ring accessing, tx locking, optimizing code 
branches, remove descriptor checks in data paths, reducing memory 
accesses, etc.

Please provide feedback and comments.
[Note that some patches might not have apparent benefits by themselves. 
Some patches are just stepping stones for following patches]

Thanks,
Ayaz